Page MenuHomePhabricator

Media: handle galleries
Closed, ResolvedPublic

Description

Let's decide on how best to represent MediaWiki galleries in the media endpoint output.

Strawman: include a gallery_id property for each item in a gallery, assigning it the value of the Parsoid-assigned id attribute for the gallery root.

Con: We are currently stripping most if not all id attributes from elements in the in the page endpoint responses, so we might have to update that treatment depending on the use case. On the other hand, the client could simply use gallery_id as an arbitrary identifier for grouping items together, in which case the HTML id stripping wouldn't matter.

Event Timeline

Mholloway created this task.Dec 7 2017, 3:28 PM

Mentioned in SAL (#wikimedia-operations) [2018-01-04T18:52:14Z] <bsitzmann@tin> Started deploy [mobileapps/deploy@8bcffa9]: Update mobileapps to a4ba9fd (T182330 T177430 T170690 T182652 T184198)

Mentioned in SAL (#wikimedia-operations) [2018-01-04T18:58:14Z] <bsitzmann@tin> Finished deploy [mobileapps/deploy@8bcffa9]: Update mobileapps to a4ba9fd (T182330 T177430 T170690 T182652 T184198) (duration: 06m 01s)

Mholloway closed this task as Resolved.Jan 4 2018, 6:59 PM